# $Revision: 1.23 $, $Date: 2004/12/23 22:21:19 $
Summary:	A 2D graphical RPG game
Summary(pl):	Darmowa gra RPG z graficznym interfejsem
Name:		adonthell
Version:	0.3.3
Release:	6
License:	GPL
Group:		X11/Applications/Games
Source0:	http://savannah.nongnu.org/download/adonthell/src/%{name}-%{version}.tar.gz
# Source0-md5:	8ed4a8b02ea24fd393b67bca355cc70b
Patch0:		%{name}-etc_dir.patch
Patch1:		%{name}-lib64.patch
URL:		http://adonthell.linuxgames.com/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_gamedatadir	%{_datadir}/%{name}

%description
Adonthell is a role playing game in development that aims to combine
the best features of the Final Fantasy and Ultima series with an epic
plot. It is set in a detailed virtual world. With the current engine,
a small demo game (Waste's Edge) is available.

%description -l pl
Adonthell jest cigle rozwijan gr RPG ktrej celem jest poczenie
najlepszych cech takich serii jak Final Fantasy i Ultima. Akcja gry
toczy si w szczegowym, wirtualnym wiecie. Razem z obecnym engine
gry jest dostpna maa plansza (Waste's Edge).

%prep
%setup -q
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif
:> acinclude.m4

%build
%{__gettextize}
%{__libtoolize}
intltoolize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-py-debug

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_gamedatadir}/{modules,games},%{_bindir},adonthell-wastesedge}

cp src/modules/adonthell.py $RPM_BUILD_ROOT%{_gamedatadir}/modules/adonthell.py

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	gamedatadir=$RPM_BUILD_ROOT%{_gamedatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWBIE README.* AUTHORS NEWS
%attr(755,root,root) %{_bindir}/adonthell
%dir %{_gamedatadir}
%{_gamedatadir}/modules
%{_gamedatadir}/games

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adonthell.spec,v $
Revision 1.23  2004/12/23 22:21:19  saq
- succeeded, release 6

Revision 1.22  2004/12/23 22:14:22  saq
- try to make it build

Revision 1.21  2004/12/23 22:00:24  saq
- lib64.patch
- release 5

Revision 1.20  2004/12/23 13:28:49  saq
- missing BRs
- release 4 for rebuild with python 2.4

Revision 1.19  2004/11/16 22:06:11  qboosh
- simplified _gamedatadir macro usage, missing dirs, BR: automake

Revision 1.18  2004/11/15 00:24:00  wolf
- rel 3, amd64

Revision 1.17  2003/10/03 15:00:47  qboosh
- cosmetics

Revision 1.16  2003/08/11 20:44:51  ankry
cosmetics

Revision 1.15  2003/08/06 16:05:20  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.14  2003/07/11 12:28:22  ankry
- URL fixes and other cosmetics

Revision 1.13  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/13 11:01:34  misi3k
- removed COPYING from %doc

Revision 1.10  2003/04/07 12:22:02  juandon
- s/home_etc/etc_dir/
- s/CONFIG_DIR/ETC_DIR/

Revision 1.9  2003/03/22 20:09:25  juandon
- added home_etc.patch
- Release 2

Revision 1.8  2003/03/14 11:04:29  trojan
- added --disable-py-debug to configure

Revision 1.7  2003/01/20 08:34:31  trojan
- added BR: SDL-devel

Revision 1.6  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.5  2002/10/13 17:53:23  mick3y
- cosmetics

Revision 1.4  2002/10/13 15:48:22  mick3y
- new version released
- STBR

Revision 1.3  2002/10/10 11:20:28  marcus
- use new %%doc

Revision 1.2  2002/05/12 15:46:19  mick3y
- description(pl) corrected

Revision 1.1  2002/05/06 21:20:51  mick3y
- initial release
